System.Design 2.0.0.0 System.Object System.IDisposable

When the is created, it adds a transparent window over the designer frame. The can then use this window to render user interface elements, called objects, as well as catch all mouse messages. In this way, the can control designer behavior.

The class supports a behavior stack, onto which objects can be pushed. When a message is intercepted through the transparent window, the can send the message to the at the top of the stack. This enables different user interface modes depending on the currently pushed . The is used to render all objects, such as selection borders, sizing handles, and smart tags. The also controls many design-time behaviors, such as using snaplines, dragging, and selecting.

For more information, see Behavior Service Overview.

Manages user interface in the designer. This class cannot be inherited.

- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.BehaviorServiceAdornerCollection To be added.

  The property provides access to the managed by the .

  Gets the .

- Property
  2.0.0.0
  System.Drawing.Graphics To be added. To be added.

  Gets the for the adorner window.

- Method
  2.0.0.0
  System.Drawing.Point `` To be added.

  Translates a in the adorner window to screen coordinates.

  The transformed value, in screen coordinates.

  The value to transform.
- Method
  2.0.0.0
  System.Drawing.Point To be added.

  Gets the location of the adorner window in screen coordinates.

  The location, from the upper-left corner of the adorner window, in screen coordinates.

- Event
  2.0.0.0
  System.Windows.Forms.Design.Behavior.BehaviorDragDropEventHandler

  The raises the event immediately before it starts a drag-and-drop operation.

  For more information about handling events, see Consuming Events.

  Occurs when the starts a drag-and-drop operation.

- Method
  2.0.0.0
  System.Drawing.Rectangle ``

  The adorner window is a transparent window that resides on top of the designer's frame. This window is used by the to intercept all messages. It also serves as a unified canvas on which to paint a .

  Returns the bounding of a .

  The bounding of a translated to the adorner window coordinates.

  The to translate.
- Method
  2.0.0.0
  System.Drawing.Point `` To be added.

  Returns the location of a translated to adorner window coordinates.

  A value indicating the location of in adorner window coordinates.

  The to translate.
- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.Behavior To be added. To be added.

  Gets the at the top of the behavior stack without removing it.

- Method
  2.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Event
  2.0.0.0
  System.Windows.Forms.Design.Behavior.BehaviorDragDropEventHandler

  The raises the event immediately after the drag operation is complete.

  For more information about handling events, see Consuming Events.

  Occurs when the completes a drag operation.

- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.Behavior `` To be added.

  Returns the immediately after the given in the behavior stack.

  The immediately after in the behavior stack, or null if there is no following behavior.

  The preceding the to be returned.
- Method
  2.0.0.0
  System.Void

  Calling the method forces a refresh of all objects and, in turn, all objects.

  Invalidates the adorner window of the .

- Method
  2.0.0.0
  System.Void ``

  The method will force a refresh of all and, in turn, all .

  Invalidates, within the adorner window, the specified area of the .

  The rectangular area to invalidate.
- Method
  2.0.0.0
  System.Void ``

  The method will force a refresh of all and, in turn, all .

  Invalidates, within the adorner window, the specified area of the .

  The region to invalidate.
- Method
  2.0.0.0
  System.Drawing.Point `` `` To be added.

  Converts a point in a handle's coordinate system to the adorner window coordinates.

  A in the adorner window coordinates.

  An adorner window's handle. A in a handle's coordinate system.
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.Behavior ``

  Removes the current from the behavior stack internally maintained by the .

  Removes and returns the at the top of the stack.

  The that was removed from the stack.

  The to remove from the stack.
- Method
  2.0.0.0
  System.Void ``

  The method is often performed by means of a hit-tested .

  Pushes a onto the behavior stack.

  The to push.
- Method
  2.0.0.0
  System.Void ``

  Pushing a capture behavior is often done through a hit-tested . If a behavior calls the method and mouse capture is lost, the behavior's method is called.

  Pushes a onto the behavior stack and assigns mouse capture to the behavior.

  The to push.
- Method
  2.0.0.0
  System.Drawing.Point `` To be added.

  Translates a point in screen coordinates into the adorner window coordinates of the .

  The transformed value, in adorner window coordinates.

  The value to transform.
- Event
  2.0.0.0
  System.EventHandler

  For more information about handling events, see Consuming Events.

  Occurs when the current selection should be refreshed.

- Method
  2.0.0.0
  System.Void To be added.

  Synchronizes all selection glyphs.